!     Last change:  X    26 Aug 2004    2:46 pm
PROGRAM Radioactive_Decay
! Alex Beck, Martin Lehman
! Math 248
! Aug 26, 2004
 IMPLICIT NONE
 REAL :: InitialAmount, HalfLife, Time, AmountRemaining
 WRITE(*,*) "Enter initial amount (mg) of substance, its half-life (days)"
 WRITE(*,*) "and time (days) at which to find amount remaining: "
 READ(*,*) InitialAmount, HalfLife, Time
 AmountRemaining = InitialAmount * 0.5 ** (Time/HalfLife)
 WRITE(*,*) "Amount Remaining = ",AmountRemaining," mg."
 STOP
END PROGRAM Radioactive_Decay
